package arzumify.polyenergy.impl;

import arzumify.polyenergy.api.EnergyReceiver;
import net.minecraft.util.math.Vec3i;

import java.util.ArrayList;

public record ReceiverDetails(ArrayList<Vec3i> pointsOfPresence, EnergyReceiver receiver) {
    public static ReceiverDetails NewSimple(Vec3i position, EnergyReceiver receiver) {
        var pointsOfPresence = new ArrayList<Vec3i>();
        pointsOfPresence.add(position);
        return new ReceiverDetails(pointsOfPresence, receiver);
    }
}
